This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 460381 - various valgrind reported startup memory leaks
various valgrind reported startup memory leaks
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
1.1.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
comment#1.review+nhosoi
:
Depends On:
Blocks: 249650 FDS112
  Show dependency treegraph
 
Reported: 2008-08-27 17:28 EDT by Rich Megginson
Modified: 2015-01-04 18:33 EST (History)
3 users (show)

See Also:
Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 19:06:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
diffs (8.04 KB, patch)
2008-08-27 17:28 EDT, Rich Megginson
no flags Details | Diff
cvs commit log (1.06 KB, text/plain)
2008-08-27 17:56 EDT, Rich Megginson
no flags Details
valgrind output (2.42 MB, text/plain)
2009-04-08 16:44 EDT, Jenny Galipeau
no flags Details

  None (edit)
Description Rich Megginson 2008-08-27 17:28:20 EDT
These memory leaks are not serious, but they do create a lot of noise in valgrind.
Comment 1 Rich Megginson 2008-08-27 17:28:42 EDT
Created attachment 315152 [details]
diffs
Comment 2 Rich Megginson 2008-08-27 17:56:44 EDT
Created attachment 315155 [details]
cvs commit log
Comment 3 Jenny Galipeau 2009-04-01 13:06:57 EDT
can you please add how to verify - just start up the server through valgrind?  Attach valgind output for verification?  Thanks
Comment 4 Rich Megginson 2009-04-06 17:17:16 EDT
yes, just startup and shutdown
Comment 5 Jenny Galipeau 2009-04-08 16:44:09 EDT
attaching valgrind report for review - DS 8.1 - RHEL 4 - startup looks pretty quiet now - shutdown is a bit noisy though ..
Comment 6 Jenny Galipeau 2009-04-08 16:44:49 EDT
Created attachment 338798 [details]
valgrind output
Comment 7 Rich Megginson 2009-04-08 17:24:18 EDT
Still a lot of leaks reported during shutdown, but none that appear to be per-op or per-connection.  Verified.
Comment 8 Jenny Galipeau 2009-04-09 08:36:19 EDT
Thanks Rich.
Comment 9 Chandrasekar Kannan 2009-04-29 19:06:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html

Note You need to log in before you can comment on or make changes to this bug.